GET api/account/sales/agent/{invoiceID}/{sessionID}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
sessionID

string

Required

invoiceID

integer

Required

Body Parameters

None.

Response Information

Resource Description

AgentSaleResponse
NameDescriptionTypeAdditional information
retval

Return code (0 - OK, otherwise - error)

integer

None.

desc

Return code text description (error description)

string

None.

info

Sale information

AgentSaleInfo

None.

Response Formats

application/json, text/json

Sample:
{
  "<ReturnValue>k__BackingField": 1,
  "<Description>k__BackingField": "sample string 2",
  "<Info>k__BackingField": {
    "product_id": 1,
    "product_name": "sample string 2",
    "product_price": 3.0,
    "product_currency": "sample string 4",
    "seller_id": 5,
    "seller_name": "sample string 6",
    "agent_percent": 7.0,
    "agent_amount": 8.0,
    "agent_currency": "sample string 9",
    "operation_type": 10,
    "operation_date": "sample string 11",
    "free_date": "sample string 12",
    "state_amount": "sample string 13",
    "feedback": "sample string 14",
    "feedback_value": 15,
    "referer": "sample string 16"
  }
}

application/xml, text/xml

Sample:
<AgentSaleResponse>
  <ReturnValue>1</ReturnValue>
  <Description>sample string 2</Description>
  <Info>
    <ProductId>1</ProductId>
    <ProductName>sample string 2</ProductName>
    <ProductPrice>3</ProductPrice>
    <ProductCurrency>sample string 4</ProductCurrency>
    <SellerId>5</SellerId>
    <SellerName>sample string 6</SellerName>
    <AgentPercent>7</AgentPercent>
    <AgentAmount>8</AgentAmount>
    <AgentCurrency>sample string 9</AgentCurrency>
    <OperationType>10</OperationType>
    <DateOperation>sample string 11</DateOperation>
    <DateFree>sample string 12</DateFree>
    <StateAmount>sample string 13</StateAmount>
    <Feedback>sample string 14</Feedback>
    <FeedbackValue>15</FeedbackValue>
    <Referer>sample string 16</Referer>
  </Info>
</AgentSaleResponse>